{ config, pkgs, ... }:

{

  hardware = {
    pulseaudio = {
      enable = true;
    };
  };

  # upgrade

  programs = {
    mtr.enable = true ; 
    zsh.enable = true;
    fish.enable = true;
    ssh = {
      setXAuthLocation = true;   
      forwardX11 = true;
    };
  };


  # SERVICES
  services = {
    
    clamav = {
      daemon.enable = true;
      updater.enable = true;
    };

    ntp.enable = true;
    tlp.enable = true;


    xserver = {
      enable = true;
      autorun = true;
      windowManager.i3 = {
	enable = true;
	extraPackages = with pkgs; [
	  i3lock
	];
      };
      xautolock = {
	enable = true;
	time = 1;
	locker = "${pkgs.i3lock}/bin/i3lock -i /home/alexandre/images/coffee_time.png";
	#notifier = "${pkgs.libnotify}/bin/notify-send 'Locking in 10 seconds'";
      };
      displayManager.defaultSession = "none+i3";
      layout = "fr";
      xkbOptions = "eurosign:e";
      desktopManager = {
        xterm.enable = false;
        xfce.enable = true;
	xfce.thunarPlugins = with pkgs; [ xfce.thunar-volman xfce.thunar-archive-plugin ];
      };
    };
    udev.extraRules = ''
      ACTION=="remove", ENV{ID_VENDOR_ID}=="1050", ENV{ID_MODEL_ID}=="0407", RUN+="${pkgs.i3lock}/bin/i3lock -i /home/alexandre/images/coffee_time.png";
    '';

  };

  nixpkgs.config = {

    #packageOverrides = pkgs: {
    #  polybar = pkgs.polybar.override {
    #    i3Support = true;
    #    pulseSupport = true;
    #  };
    #};

    allowUnfree = true;
  };

}
