{ pkgs, ... }: {
  imports = [
    <agenix/modules/age.nix>
  ];

  environment.systemPackages = [ (pkgs.callPackage <agenix/pkgs/agenix.nix> {}) ];
  age.secrets.secret_restic = {
    file = ./secrets/secret_restic.age;
    path = "/run/restic_pass";
  };
  age.secrets.secret_nextcloud_admin = {
    file = ./secrets/nextcloud-admin-pass.age;
    path = "/run/nextcloud-admin";
    owner = "nextcloud";
    group = "nextcloud";
  };
  age.secrets.secret_nextcloud_db = {
    file = ./secrets/nextcloud-db-pass.age;
    path = "/run/nextcloud-db";
    owner = "nextcloud";
    group = "nextcloud";
  };
  
}
