{ pkgs, ... }: {
  imports = [
    ./hardware-configuration.nix
    ./nextcloud.nix
    ./backup.nix
    ../modules/users.nix
    ../modules/common.nix
    ../modules/prometheus-node.nix
    ./agenix.nix
#    <agenix/modules/age.nix>
  ];

  system.stateVersion = "21.05";
  boot.cleanTmpDir = true;
  zramSwap.enable = true;
  networking.hostName = "next";
  services.openssh.enable = true;
  users.users.root.openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKUA1RW6JwZasspAp8qmFRFnlV5WXjhLfStAAkM+KYLv lucazeau.alexandre@gmail.com" 
  ];

  networking.firewall.allowedTCPPorts = [ 80 443 22 9002];
  services.qemuGuest.enable = true; 
  
#  environment.systemPackages = [ (pkgs.callPackage <agenix/pkgs/agenix.nix> {}) ];
#  age.secrets.secret_restic = {
#    file = ./secrets/secret_restic.age;
#    path = "/run/restic_pass";
#  };
  
}
