{ config, lib, pkgs, ... } : {

#  hardware.sane = {
#    enable = true;
#    dsseries.enable = true;
#  };

  # Allow unfree software for libsane-dsseries only
  nixpkgs.config.allowUnfreePredicate = (pkg: builtins.elem (builtins.parseDrvName pkg.pname).name
  [
    "libsane-dsseries"
  ]);
  services.printing.enable = true;
  services.printing.drivers = [ pkgs.brlaser ];
  # Enable sane and brscan4 for DSP-7055
  hardware = { 
    sane = {
      enable = true;
      brscan4 = {
        enable = true;
        };
    };
  };
}
