{ config, pkgs, ...}:
{
  users = { 
    groups = {
      alexandre = {};
    };
    users = {
      alexandre = {
        isNormalUser = true;
	createHome = true;
        home = "/home/alexandre";
        description = "Alexandre LUCAZEAU";
        extraGroups = [ "wheel" ];
        group = "alexandre";
        shell = pkgs.fish;
	openssh.authorizedKeys.keys = [ "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKUA1RW6JwZasspAp8qmFRFnlV5WXjhLfStAAkM+KYLv lucazeau.alexandre@gmail.com" ];
      };
    };
  };
  programs.git = {
	enable = true;
	config.user.email = "lucazeau.alexandre@gmail.com";
	config.user.name = "Alexandre LUCAZEAU";
	config.init.defaultBranch = "main";
	config.core.sshCommand = "ssh -i ~/.ssh/id_ed25519-perso";
  };
  programs.fish.enable = true;
  programs.fish.shellAliases = {
	ll = "ls -l";
	ls = "exa";
	vi = "nvim";
	vim = "nvim";
  };
  security.sudo = {
	enable = true;
	execWheelOnly = true;
	extraRules = [
	{ users = [ "alexandre" ]; commands = [ { command = "ALL"; options = [ "NOPASSWD" ]; } ]; }
	];
  };
}
